<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Цвет приветствия';
include_once '../sys/inc/thead.php';
title();

if (isset($user) && $user['balls']>=1000)
{
if (isset($_POST['save'])){
if (isset($_POST['prcolor']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['prcolor']))))<=7)
{
$user['prcolor']=esc(stripcslashes(htmlspecialchars($_POST['prcolor'])));
mysql_query("UPDATE `user` SET `prcolor` = '$user[prcolor]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err='Нужно писать меньше :)';

if (!isset($err))msg('Цвет приветствия успешно изменен');

}
err();
aut();

echo'<div class="menu">Выберите цвет приветствия</div>';

echo '1. <span style="color: #000000">Чёрный</span> - код: <b>000000</b><br/>
2. <span style="color: #FF0000">Красный</span> - код: <b>FF0000</b><br/>
3. <span style="color: #004080">Синий</span> - код: <b>004080</b><br/>
4. <span style="color: #009900">Зелёный</span> - код: <b>009900</b><br/и>
5. <span style="color: #606060">Тускло-серый</span> - код: <b>606060</b><br/>
6. <span style="color: #FFA500">Оранжевый</span> - код: <b>FFA500</b><br/>
7. <span style="color: #D02090">Красно-фиолетовый</span> - код: <b>D02090</b><br/>
8. <span style="color: #B03060">Темно-бордовый</span> - код: <b>B03060</b><br/>
9. <span style="color: #6A5ACD">Грифельно-синий</span> - код: <b>6A5ACD</b><br/>';
echo"<font color='#FF0000'> Код нужно ввести в поле Цвет приветствия</font><br/>";
echo "<form method='post' action='?'>\n";

echo "<div class='menu'>Цвет приветствия:<br />\n<input type='text' name='prcolor' value='$user[prcolor]' maxlength='7' /><br />\n";

echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";
echo "</div>\n";
}else{echo'Для использования функции окраски приветствия вам нужно набрать 1000 баллов!';}
echo '<div class="main_menu">';
echo "<a href='/info.php?id=$user[id]'>Моя страничка</a><br />
 <a href='/settings.php?id=$user[id]'>Настройки страницы</a>";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>